Subject: bug#51392: guix build option --keep-going is not honored with --rounds

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 25 Oct 2021 14:22:13 -0400

Hello,

While attempting to gather stats on the fail rate of the guile-ssh test
suite, I tried running:

./pre-inst-env guix build --keep-going --rounds=100 guile-ssh

I was surprised that it would abort upon encountering the first failure,
instead of continuing as --keep-going implies.

Thank you,

Maxim